from sqlalchemy import Column, Integer, ForeignKey, String

from app.db.base_class import Base


class MovieActor(Base):
    id = Column(Integer, primary_key=True, index=True)
    movie_id = Column(Integer, ForeignKey("movie.id"), nullable=False)
    actor_id = Column(Integer, ForeignKey("actor.id"), nullable=False)
    character_name = Column(String(255), nullable=True)