from pydantic import BaseModel
from typing import Dict, Optional


class HealthCheck(BaseModel):
    """
    Health check response schema.
    """
    status: str
    version: str
    db_status: str
    details: Optional[Dict[str, str]] = None