from sqlalchemy import Column, Integer, ForeignKey

from app.db.base_class import Base


class MovieGenre(Base):
    id = Column(Integer, primary_key=True, index=True)
    movie_id = Column(Integer, ForeignKey("movie.id"), nullable=False)
    genre_id = Column(Integer, ForeignKey("genre.id"), nullable=False)